ALTER TABLE public.esia_services ALTER COLUMN service_name TYPE character varying(200) COLLATE pg_catalog."default";

UPDATE esia_configuration SET config_description = 'Corps du mail au format HTML. <br />
Les mots-clés sont automatiquement remplacés. Voici la liste des mots-clés&nbsp;: <br />
%node.name => nom du noeud <br />
%node.ip => adresse IP du noeud <br />
%node.description => description du noeud <br />
%node.group.name => groupe du noeud <br />
%node.group.desc => description du groupe du noeud <br />
%service.name => nom du service <br />
%service.parameter => paramètres d''exécution du service <br />
<br />
%error.message => Message d''erreur <br />
%error.starttime => date de début de l''erreur <br />
%error.time => date fin de l''erreur <br />
%error.type => type de l''erreur <br />
%color => couleur de l''erreur suivant son niveau (gris,jaune,rouge) <br />
<br />
%link.fqdn => FQDN du serveur ESIA <br />
%link.server => lien vers le serveur esia <br />
%link.node => lien vers le noeud en erreur <br />'
WHERE config_key='MAIL_FORMAT_MESSAGE';

UPDATE esia_configuration SET config_value = REGEXP_REPLACE(config_value, '%node.group([^d])', '%node.group.name\1')
WHERE config_key='MAIL_FORMAT_SUBJECT';

UPDATE esia_configuration SET config_value = REGEXP_REPLACE(config_value, '%node.group([^d])', '%node.group.name\1', 'g')
WHERE config_key='MAIL_FORMAT_MESSAGE';

UPDATE esia_configuration SET config_value = REGEXP_REPLACE(config_value, '%node.groupdesc', '%node.group.desc')
WHERE config_key='MAIL_FORMAT_MESSAGE';

-- SMS
UPDATE esia_configuration SET config_value = REGEXP_REPLACE(config_value, '%node.group([^d])', '%node.group.name\1')
WHERE config_key='SMS_FORMAT';

UPDATE esia_configuration SET config_value = REGEXP_REPLACE(config_value, '%node.groupdesc', '%node.group.desc')
WHERE config_key='SMS_FORMAT';
